> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnplayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video

> Get a video



## OpenAPI

````yaml GET /video/{id}
openapi: 3.1.0
info:
  title: PN Player API documentation
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pnplayer.com/v1/api
security:
  - bearerAuth: []
paths:
  /video/{id}:
    get:
      description: Get a video
      parameters:
        - name: id
          in: path
          description: ID of video to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Videos response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Video'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Video:
      type: object
      properties:
        videoId:
          type: string
          description: Unique identifier of the video
        title:
          type: string
          description: Title of the video
        dateUploaded:
          type: string
          format: date-time
          description: Upload date of the video
        encodeProgress:
          type: number
          description: Encoding progress percentage
        status:
          type: number
          description: Current status code of the video
        length:
          type: number
          description: Length of the video (in seconds)
        storageSize:
          type: string
          description: Storage size of the video
        hlsUrl:
          type: string
          description: HLS streaming URL
        preview:
          type: string
          description: Preview thumbnail URL
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````